Skip to main content
Server path: /twilio-voice | Type: Application | PCID required: Yes

Tools

ToolDescription
twilio_voice_create_callCreate a new outgoing call to phones, SIP-enabled endpoints or Twilio Client connections
twilio_voice_create_call_recordingCreate a recording for the call
twilio_voice_create_message_feedbackCreate Message Feedback to confirm a tracked user action was performed by the recipient of the associated Message
twilio_voice_create_participantPOST /Conferences/{ConferenceSid}/Participants.json
twilio_voice_create_paymentscreate an instance of payments. This will start a new payments session
twilio_voice_create_queueCreate a queue
twilio_voice_create_realtime_transcriptionCreate a Transcription
twilio_voice_create_siprecCreate a Siprec
twilio_voice_create_streamCreate a Stream
twilio_voice_create_user_defined_messageCreate a new User Defined Message for the given Call SID.
twilio_voice_create_user_defined_message_subscriptionSubscribe to User Defined Messages for a given Call SID.
twilio_voice_delete_callDelete a Call record from your account. Once the record is deleted, it will no longer appear in the API and Account Portal logs.
twilio_voice_delete_call_recordingDelete a recording from your account
twilio_voice_delete_conference_recordingDelete a recording from your account
twilio_voice_delete_participantKick a participant from a given conference
twilio_voice_delete_queueRemove an empty queue
twilio_voice_delete_user_defined_message_subscriptionDelete a specific User Defined Message Subscription.
twilio_voice_fetch_callFetch the call specified by the provided Call SID
twilio_voice_fetch_call_notificationGET /Calls/{CallSid}/Notifications/{Sid}.json
twilio_voice_fetch_call_recordingFetch an instance of a recording for a call
twilio_voice_fetch_conferenceFetch an instance of a conference
twilio_voice_fetch_conference_recordingFetch an instance of a recording for a call
twilio_voice_fetch_memberFetch a specific member from the queue
twilio_voice_fetch_participantFetch an instance of a participant
twilio_voice_fetch_queueFetch an instance of a queue identified by the QueueSid
twilio_voice_list_callRetrieves a collection of calls made to and from your account
twilio_voice_list_call_notificationGET /Calls/{CallSid}/Notifications.json
twilio_voice_list_call_recordingRetrieve a list of recordings belonging to the call used to make the request
twilio_voice_list_conferenceRetrieve a list of conferences belonging to the account used to make the request
twilio_voice_list_conference_recordingRetrieve a list of recordings belonging to the call used to make the request
twilio_voice_list_memberRetrieve the members of the queue
twilio_voice_list_participantRetrieve a list of participants belonging to the account used to make the request
twilio_voice_list_queueRetrieve a list of queues belonging to the account used to make the request
twilio_voice_list_usage_recordRetrieve a list of usage-records belonging to the account used to make the request
twilio_voice_update_callInitiates a call redirect or terminates a call
twilio_voice_update_call_recordingChanges the status of the recording to paused, stopped, or in-progress. Note: Pass Twilio.CURRENT instead of recording sid to reference current active recording.
twilio_voice_update_conferencePOST /Conferences/{Sid}.json
twilio_voice_update_conference_recordingChanges the status of the recording to paused, stopped, or in-progress. Note: To use Twilio.CURRENT, pass it as recording sid.
twilio_voice_update_memberDequeue a member from a queue and have the member’s call begin executing the TwiML document at that URL
twilio_voice_update_participantUpdate the properties of the participant
twilio_voice_update_paymentsupdate an instance of payments with different phases of payment flows.
twilio_voice_update_queueUpdate the queue with the new parameters
twilio_voice_update_realtime_transcriptionStop a Transcription using either the SID of the Transcription resource or the name used when creating the resource
twilio_voice_update_siprecStop a Siprec using either the SID of the Siprec resource or the name used when creating the resource
twilio_voice_update_streamStop a Stream using either the SID of the Stream resource or the name used when creating the resource

twilio_voice_create_call

Create a new outgoing call to phones, SIP-enabled endpoints or Twilio Client connections Parameters:
ParameterTypeRequiredDefaultDescription
ApplicationSidstringNoThe SID of the Application resource that will handle the call, if the call will be handled by an application.
AsyncAmdstringNoSelect whether to perform answering machine detection in the background. Default, blocks the execution of the call until Answering Machine Detection is completed. Can be: true or false.
AsyncAmdStatusCallbackstringNoThe URL that we should call using the async_amd_status_callback_method to notify customer application whether the call was answered by human, machine or fax.
AsyncAmdStatusCallbackMethodstringNoThe HTTP method we should use when calling the async_amd_status_callback URL. Can be: GET or POST and the default is POST.
ByocstringNoThe SID of a BYOC (Bring Your Own Carrier) trunk to route this call with. Note that byoc is only meaningful when to is a phone number; it will otherwise be ignored. (Beta)
CallerIdstringNoThe phone number, SIP address, or Client identifier that made this call. Phone numbers are in E.164 format (e.g., +16175551212). SIP addresses are formatted as name@company.com.
CallReasonstringNoThe Reason for the outgoing call. Use it to specify the purpose of the call that is presented on the called party’s phone. (Branded Calls Beta)
CallTokenstringNoA token string needed to invoke a forwarded call. A call_token is generated when an incoming call is received on a Twilio number. Pass an incoming call’s call_token value to a forwarded call via the call_token parameter when creating a new call. A forwarded call should bear the same CallerID of the original incoming call.
ClientNotificationUrlstringNoThe URL that we should use to deliver push call notification.
FallbackMethodstringNoThe HTTP method that we should use to request the fallback_url. Can be: GET or POST and the default is POST. If an application_sid parameter is present, this parameter is ignored.
FallbackUrlstringNoThe URL that we call using the fallback_method if an error occurs when requesting or executing the TwiML at url. If an application_sid parameter is present, this parameter is ignored.
FromstringYesThe phone number or client identifier to use as the caller id. If using a phone number, it must be a Twilio number or a Verified outgoing caller id for your account. If the to parameter is a phone number, From must also be a phone number.
MachineDetectionstringNoWhether to detect if a human, answering machine, or fax has picked up the call. Can be: Enable or DetectMessageEnd. Use Enable if you would like us to return AnsweredBy as soon as the called party is identified. Use DetectMessageEnd, if you would like to leave a message on an answering machine. If send_digits is provided, this parameter is ignored. For more information, see Answering Machine Detection.
MachineDetectionSilenceTimeoutintegerNoThe number of milliseconds of initial silence after which an unknown AnsweredBy result will be returned. Possible Values: 2000-10000. Default: 5000.
MachineDetectionSpeechEndThresholdintegerNoThe number of milliseconds of silence after speech activity at which point the speech activity is considered complete. Possible Values: 500-5000. Default: 1200.
MachineDetectionSpeechThresholdintegerNoThe number of milliseconds that is used as the measuring stick for the length of the speech activity, where durations lower than this value will be interpreted as a human and longer than this value as a machine. Possible Values: 1000-6000. Default: 2400.
MachineDetectionTimeoutintegerNoThe number of seconds that we should attempt to detect an answering machine before timing out and sending a voice request with AnsweredBy of unknown. The default timeout is 30 seconds.
MethodstringNoThe HTTP method we should use when calling the url parameter’s value. Can be: GET or POST and the default is POST. If an application_sid parameter is present, this parameter is ignored.
RecordbooleanNoWhether to record the call. Can be true to record the phone call, or false to not. The default is false. The recording_url is sent to the status_callback URL.
RecordingChannelsstringNoThe number of channels in the final recording. Can be: mono or dual. The default is mono. mono records both legs of the call in a single channel of the recording file. dual records each leg to a separate channel of the recording file. The first channel of a dual-channel recording contains the parent call and the second channel contains the child call.
RecordingStatusCallbackstringNoThe URL that we call when the recording is available to be accessed.
RecordingStatusCallbackEventstring[]NoThe recording status events that will trigger calls to the URL specified in recording_status_callback. Can be: in-progress, completed and absent. Defaults to completed. Separate multiple values with a space.
RecordingStatusCallbackMethodstringNoThe HTTP method we should use when calling the recording_status_callback URL. Can be: GET or POST and the default is POST.
RecordingTrackstringNoThe audio track to record for the call. Can be: inbound, outbound or both. The default is both. inbound records the audio that is received by Twilio. outbound records the audio that is generated from Twilio. both records the audio that is received and generated by Twilio.
SendDigitsstringNoThe string of keys to dial after connecting to the number, with a maximum length of 32 digits. Valid digits in the string include any digit (0-9), ‘A’, ‘B’, ‘C’, ‘D’, ‘#’, and ‘*’. You can also use ‘w’ to insert a half-second pause and ‘W’ to insert a one-second pause. For example, to pause for one second after connecting and then dial extension 1234 followed by the # key, set this parameter to W1234#. Be sure to URL-encode this string because the ‘#’ character has special meaning in a URL. If both SendDigits and MachineDetection parameters are provided, then MachineDetection will be ignored.
SipAuthPasswordstringNoThe password required to authenticate the user account specified in sip_auth_username.
SipAuthUsernamestringNoThe username used to authenticate the caller making a SIP call.
StatusCallbackstringNoThe URL we should call using the status_callback_method to send status information to your application. If no status_callback_event is specified, we will send the completed status. If an application_sid parameter is present, this parameter is ignored. URLs must contain a valid hostname (underscores are not permitted).
StatusCallbackEventstring[]NoThe call progress events that we will send to the status_callback URL. Can be: initiated, ringing, answered, and completed. If no event is specified, we send the completed status. If you want to receive multiple events, specify each one in a separate status_callback_event parameter. See the code sample for monitoring call progress. If an application_sid is present, this parameter is ignored.
StatusCallbackMethodstringNoThe HTTP method we should use when calling the status_callback URL. Can be: GET or POST and the default is POST. If an application_sid parameter is present, this parameter is ignored.
TimeLimitintegerNoThe maximum duration of the call in seconds. Constraints depend on account and configuration.
TimeoutintegerNoThe integer number of seconds that we should allow the phone to ring before assuming there is no answer. The default is 60 seconds and the maximum is 600 seconds. For some call flows, we will add a 5-second buffer to the timeout value you provide. For this reason, a timeout value of 10 seconds could result in an actual timeout closer to 15 seconds. You can set this to a short time, such as 15 seconds, to hang up before reaching an answering machine or voicemail.
TostringYesThe phone number, SIP address, or client identifier to call.
TrimstringNoWhether to trim any leading and trailing silence from the recording. Can be: trim-silence or do-not-trim and the default is trim-silence.
TwimlstringNoTwiML instructions for the call Twilio will use without fetching Twiml from url parameter. If both twiml and url are provided then twiml parameter will be ignored. Max 4000 characters.
UrlstringNoThe absolute URL that returns the TwiML instructions for the call. We will call this URL using the method when the call connects. For more information, see the Url Parameter section in Making Calls.

twilio_voice_create_call_recording

Create a recording for the call Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call to associate the resource with.
RecordingChannelsstringNoThe number of channels used in the recording. Can be: mono or dual and the default is mono. mono records all parties of the call into one channel. dual records each party of a 2-party call into separate channels.
RecordingStatusCallbackstringNoThe URL we should call using the recording_status_callback_method on each recording event specified in recording_status_callback_event. For more information, see RecordingStatusCallback parameters.
RecordingStatusCallbackEventstring[]NoThe recording status events on which we should call the recording_status_callback URL. Can be: in-progress, completed and absent and the default is completed. Separate multiple event values with a space.
RecordingStatusCallbackMethodstringNoThe HTTP method we should use to call recording_status_callback. Can be: GET or POST and the default is POST.
RecordingTrackstringNoThe audio track to record for the call. Can be: inbound, outbound or both. The default is both. inbound records the audio that is received by Twilio. outbound records the audio that is generated from Twilio. both records the audio that is received and generated by Twilio.
TrimstringNoWhether to trim any leading and trailing silence in the recording. Can be: trim-silence or do-not-trim and the default is do-not-trim. trim-silence trims the silence from the beginning and end of the recording and do-not-trim does not.

twilio_voice_create_message_feedback

Create Message Feedback to confirm a tracked user action was performed by the recipient of the associated Message Parameters:
ParameterTypeRequiredDefaultDescription
MessageSidstringYesThe SID of the Message resource for which to create MessageFeedback.
OutcomestringNoReported outcome indicating whether there is confirmation that the Message recipient performed a tracked user action. Can be: unconfirmed or confirmed. For more details see How to Optimize Message Deliverability with Message Feedback.

twilio_voice_create_participant

POST /Conferences/{ConferenceSid}/Participants.json Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe SID of the participant’s conference.
AmdStatusCallbackstringNoThe URL that we should call using the amd_status_callback_method to notify customer application whether the call was answered by human, machine or fax.
AmdStatusCallbackMethodstringNoThe HTTP method we should use when calling the amd_status_callback URL. Can be: GET or POST and the default is POST.
BeepstringNoWhether to play a notification beep to the conference when the participant joins. Can be: true, false, onEnter, or onExit. The default value is true.
ByocstringNoThe SID of a BYOC (Bring Your Own Carrier) trunk to route this call with. Note that byoc is only meaningful when to is a phone number; it will otherwise be ignored. (Beta)
CallerDisplayNamestringNoThe name that populates the display name in the From header. Must be between 2 and 255 characters. Only applicable for calls to sip address.
CallerIdstringNoThe phone number, Client identifier, or username portion of SIP address that made this call. Phone numbers are in E.164 format (e.g., +16175551212). Client identifiers are formatted client:name. If using a phone number, it must be a Twilio number or a Verified outgoing caller id for your account. If the to parameter is a phone number, callerId must also be a phone number. If to is sip address, this value of callerId should be a username portion to be used to populate the From header that is passed to the SIP endpoint.
CallReasonstringNoThe Reason for the outgoing call. Use it to specify the purpose of the call that is presented on the called party’s phone. (Branded Calls Beta)
CallSidToCoachstringNoThe SID of the participant who is being coached. The participant being coached is the only participant who can hear the participant who is coaching.
CallTokenstringNoA token string needed to invoke a forwarded call. A call_token is generated when an incoming call is received on a Twilio number. Pass an incoming call’s call_token value to a forwarded call via the call_token parameter when creating a new call. A forwarded call should bear the same CallerID of the original incoming call.
ClientNotificationUrlstringNoThe URL that we should use to deliver push call notification.
CoachingbooleanNoWhether the participant is coaching another call. Can be: true or false. If not present, defaults to false unless call_sid_to_coach is defined. If true, call_sid_to_coach must be defined.
ConferenceRecordstringNoWhether to record the conference the participant is joining. Can be: true, false, record-from-start, and do-not-record. The default value is false.
ConferenceRecordingStatusCallbackstringNoThe URL we should call using the conference_recording_status_callback_method when the conference recording is available.
ConferenceRecordingStatusCallbackEventstring[]NoThe conference recording state changes that generate a call to conference_recording_status_callback. Can be: in-progress, completed, failed, and absent. Separate multiple values with a space, ex: 'in-progress completed failed'
ConferenceRecordingStatusCallbackMethodstringNoThe HTTP method we should use to call conference_recording_status_callback. Can be: GET or POST and defaults to POST.
ConferenceStatusCallbackstringNoThe URL we should call using the conference_status_callback_method when the conference events in conference_status_callback_event occur. Only the value set by the first participant to join the conference is used. Subsequent conference_status_callback values are ignored.
ConferenceStatusCallbackEventstring[]NoThe conference state changes that should generate a call to conference_status_callback. Can be: start, end, join, leave, mute, hold, modify, speaker, and announcement. Separate multiple values with a space. Defaults to start end.
ConferenceStatusCallbackMethodstringNoThe HTTP method we should use to call conference_status_callback. Can be: GET or POST and defaults to POST.
ConferenceTrimstringNoWhether to trim leading and trailing silence from the conference recording. Can be: trim-silence or do-not-trim and defaults to trim-silence.
EarlyMediabooleanNoWhether to allow an agent to hear the state of the outbound call, including ringing or disconnect messages. Can be: true or false and defaults to true.
EndConferenceOnExitbooleanNoWhether to end the conference when the participant leaves. Can be: true or false and defaults to false.
FromstringYesThe phone number, Client identifier, or username portion of SIP address that made this call. Phone numbers are in E.164 format (e.g., +16175551212). Client identifiers are formatted client:name. If using a phone number, it must be a Twilio number or a Verified outgoing caller id for your account. If the to parameter is a phone number, from must also be a phone number. If to is sip address, this value of from should be a username portion to be used to populate the P-Asserted-Identity header that is passed to the SIP endpoint.
JitterBufferSizestringNoJitter buffer size for the connecting participant. Twilio will use this setting to apply Jitter Buffer before participant’s audio is mixed into the conference. Can be: off, small, medium, and large. Default to large.
LabelstringNoA label for this participant. If one is supplied, it may subsequently be used to fetch, update or delete the participant.
MachineDetectionstringNoWhether to detect if a human, answering machine, or fax has picked up the call. Can be: Enable or DetectMessageEnd. Use Enable if you would like us to return AnsweredBy as soon as the called party is identified. Use DetectMessageEnd, if you would like to leave a message on an answering machine. For more information, see Answering Machine Detection.
MachineDetectionSilenceTimeoutintegerNoThe number of milliseconds of initial silence after which an unknown AnsweredBy result will be returned. Possible Values: 2000-10000. Default: 5000.
MachineDetectionSpeechEndThresholdintegerNoThe number of milliseconds of silence after speech activity at which point the speech activity is considered complete. Possible Values: 500-5000. Default: 1200.
MachineDetectionSpeechThresholdintegerNoThe number of milliseconds that is used as the measuring stick for the length of the speech activity, where durations lower than this value will be interpreted as a human and longer than this value as a machine. Possible Values: 1000-6000. Default: 2400.
MachineDetectionTimeoutintegerNoThe number of seconds that we should attempt to detect an answering machine before timing out and sending a voice request with AnsweredBy of unknown. The default timeout is 30 seconds.
MaxParticipantsintegerNoThe maximum number of participants in the conference. Can be a positive integer from 2 to 250. The default value is 250.
MutedbooleanNoWhether the agent is muted in the conference. Can be true or false and the default is false.
RecordbooleanNoWhether to record the participant and their conferences, including the time between conferences. Can be true or false and the default is false.
RecordingChannelsstringNoThe recording channels for the final recording. Can be: mono or dual and the default is mono.
RecordingStatusCallbackstringNoThe URL that we should call using the recording_status_callback_method when the recording status changes.
RecordingStatusCallbackEventstring[]NoThe recording state changes that should generate a call to recording_status_callback. Can be: started, in-progress, paused, resumed, stopped, completed, failed, and absent. Separate multiple values with a space, ex: 'in-progress completed failed'.
RecordingStatusCallbackMethodstringNoThe HTTP method we should use when we call recording_status_callback. Can be: GET or POST and defaults to POST.
RecordingTrackstringNoThe audio track to record for the call. Can be: inbound, outbound or both. The default is both. inbound records the audio that is received by Twilio. outbound records the audio that is sent from Twilio. both records the audio that is received and sent by Twilio.
RegionstringNoThe region where we should mix the recorded audio. Can be:us1, us2, ie1, de1, sg1, br1, au1, or jp1.
SipAuthPasswordstringNoThe SIP password for authentication.
SipAuthUsernamestringNoThe SIP username used for authentication.
StartConferenceOnEnterbooleanNoWhether to start the conference when the participant joins, if it has not already started. Can be: true or false and the default is true. If false and the conference has not started, the participant is muted and hears background music until another participant starts the conference.
StatusCallbackstringNoThe URL we should call using the status_callback_method to send status information to your application.
StatusCallbackEventstring[]NoThe conference state changes that should generate a call to status_callback. Can be: initiated, ringing, answered, and completed. Separate multiple values with a space. The default value is completed.
StatusCallbackMethodstringNoThe HTTP method we should use to call status_callback. Can be: GET and POST and defaults to POST.
TimeLimitintegerNoThe maximum duration of the call in seconds. Constraints depend on account and configuration.
TimeoutintegerNoThe number of seconds that we should allow the phone to ring before assuming there is no answer. Can be an integer between 5 and 600, inclusive. The default value is 60. We always add a 5-second timeout buffer to outgoing calls, so value of 10 would result in an actual timeout that was closer to 15 seconds.
TostringYesThe phone number, SIP address, Client, TwiML App identifier that received this call. Phone numbers are in E.164 format (e.g., +16175551212). SIP addresses are formatted as sip:name@company.com. Client identifiers are formatted client:name. TwiML App identifiers are formatted app:<APP_SID>. Custom parameters may also be specified.
TrimstringNoWhether to trim any leading and trailing silence from the participant recording. Can be: trim-silence or do-not-trim and the default is trim-silence.
WaitMethodstringNoThe HTTP method we should use to call wait_url. Can be GET or POST and the default is POST. When using a static audio file, this should be GET so that we can cache the file.
WaitUrlstringNoThe URL that Twilio calls using the wait_method before the conference has started. The URL may return an MP3 file, a WAV file, or a TwiML document. The default value is the URL of our standard hold music. If you do not want anything to play while waiting for the conference to start, specify an empty string by setting wait_url to ''. For more details on the allowable verbs within the waitUrl, see the waitUrl attribute in the <Conference> TwiML instruction.

twilio_voice_create_payments

create an instance of payments. This will start a new payments session Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the call that will create the resource. Call leg associated with this sid is expected to provide payment information thru DTMF.
BankAccountTypestringNoType of bank account if payment source is ACH. One of consumer-checking, consumer-savings, or commercial-checking. The default value is consumer-checking.
ChargeAmountnumberNoA positive decimal value less than 1,000,000 to charge against the credit card or bank account. Default currency can be overwritten with currency field. Leave blank or set to 0 to tokenize.
ConfirmationstringNoWhether to prompt the caller to confirm their payment information before submitting to the payment gateway. If true, the caller will hear the last 4 digits of their card or account number and must press 1 to confirm or 2 to cancel. Default is false.
CurrencystringNoThe currency of the charge_amount, formatted as ISO 4127 format. The default value is USD and all values allowed from the Pay Connector are accepted.
DescriptionstringNoThe description can be used to provide more details regarding the transaction. This information is submitted along with the payment details to the Payment Connector which are then posted on the transactions.
IdempotencyKeystringYesA unique token that will be used to ensure that multiple API calls with the same information do not result in multiple transactions. This should be a unique string value per API call and can be a randomly generated.
InputstringNoA list of inputs that should be accepted. Currently only dtmf is supported. All digits captured during a pay session are redacted from the logs.
MinPostalCodeLengthintegerNoA positive integer that is used to validate the length of the PostalCode inputted by the user. User must enter this many digits.
ParameterobjectNoA single-level JSON object used to pass custom parameters to payment processors. (Required for ACH payments). The information that has to be included here depends on the <Pay> Connector. Read more.
PaymentConnectorstringNoThis is the unique name corresponding to the Pay Connector installed in the Twilio Add-ons. Learn more about <Pay> Connectors. The default value is Default.
PaymentMethodstringNoType of payment being captured. One of credit-card or ach-debit. The default value is credit-card.
PostalCodebooleanNoIndicates whether the credit card postal code (zip code) is a required piece of payment information that must be provided by the caller. The default is true.
RequireMatchingInputsstringNoA comma-separated list of payment information fields that require the caller to enter the same value twice for confirmation. Supported values are payment-card-number, expiration-date, security-code, and postal-code.
SecurityCodebooleanNoIndicates whether the credit card security code is a required piece of payment information that must be provided by the caller. The default is true.
StatusCallbackstringYesProvide an absolute or relative URL to receive status updates regarding your Pay session. Read more about the expected StatusCallback values
TimeoutintegerNoThe number of seconds that <Pay> should wait for the caller to press a digit between each subsequent digit, after the first one, before moving on to validate the digits captured. The default is 5, maximum is 600.
TokenTypestringNoIndicates whether the payment method should be tokenized as a one-time, reusable, or payment-method token. The default value is reusable. Do not enter a charge amount when tokenizing. If a charge amount is entered, the payment method will be charged and not tokenized.
ValidCardTypesstringNoCredit card types separated by space that Pay should accept. The default value is visa mastercard amex

twilio_voice_create_queue

Create a queue Parameters:
ParameterTypeRequiredDefaultDescription
FriendlyNamestringYesA descriptive string that you created to describe this resource. It can be up to 64 characters long.
MaxSizeintegerNoThe maximum number of calls allowed to be in the queue. The default is 1000. The maximum is 5000.

twilio_voice_create_realtime_transcription

Create a Transcription Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the Transcription resource is associated with.
ConfigurationIdstringNoThe ID of the RealTimeTranscription Configuration for configuring all the non-default behaviors in one go.
ConversationConfigurationstringNoThe ID of the Conversations Configuration for customizing conversation behavior in Intelligence Service
ConversationIdstringNoThe ID of the Conversation for associating this Transcription with an existing Conversation in Intelligence Service
EnableAutomaticPunctuationbooleanNoThe provider will add punctuation to recognition result
EnableProviderDatabooleanNoWhether the callback includes raw provider data.
HintsstringNoA Phrase contains words and phrase “hints” so that the speech recognition engine is more likely to recognize them.
InboundTrackLabelstringNoFriendly name given to the Inbound Track
IntelligenceServicestringNoThe SID or unique name of the Intelligence Service for persisting transcripts and running post-call Language Operators
LanguageCodestringNoLanguage code used by the transcription engine, specified in BCP-47 format
NamestringNoThe user-specified name of this Transcription, if one was given when the Transcription was created. This may be used to stop the Transcription.
OutboundTrackLabelstringNoFriendly name given to the Outbound Track
PartialResultsbooleanNoIndicates if partial results are going to be sent to the customer
ProfanityFilterbooleanNoindicates if the server will attempt to filter out profanities, replacing all but the initial character in each filtered word with asterisks
SpeechModelstringNoRecognition model used by the transcription engine, among those supported by the provider
StatusCallbackMethodstringNoThe http method for the status_callback (one of GET, POST).
StatusCallbackUrlstringNoAbsolute URL of the status callback.
TrackstringNoOne of inbound_track, outbound_track, both_tracks.
TranscriptionEnginestringNoDefinition of the transcription engine to be used, among those supported by Twilio

twilio_voice_create_siprec

Create a Siprec Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the Siprec resource is associated with.
ConnectorNamestringNoUnique name used when configuring the connector via Marketplace Add-on.
NamestringNoThe user-specified name of this Siprec, if one was given when the Siprec was created. This may be used to stop the Siprec.
Parameter1.NamestringNoParameter name
Parameter1.ValuestringNoParameter value
Parameter10.NamestringNoParameter name
Parameter10.ValuestringNoParameter value
Parameter11.NamestringNoParameter name
Parameter11.ValuestringNoParameter value
Parameter12.NamestringNoParameter name
Parameter12.ValuestringNoParameter value
Parameter13.NamestringNoParameter name
Parameter13.ValuestringNoParameter value
Parameter14.NamestringNoParameter name
Parameter14.ValuestringNoParameter value
Parameter15.NamestringNoParameter name
Parameter15.ValuestringNoParameter value
Parameter16.NamestringNoParameter name
Parameter16.ValuestringNoParameter value
Parameter17.NamestringNoParameter name
Parameter17.ValuestringNoParameter value
Parameter18.NamestringNoParameter name
Parameter18.ValuestringNoParameter value
Parameter19.NamestringNoParameter name
Parameter19.ValuestringNoParameter value
Parameter2.NamestringNoParameter name
Parameter2.ValuestringNoParameter value
Parameter20.NamestringNoParameter name
Parameter20.ValuestringNoParameter value
Parameter21.NamestringNoParameter name
Parameter21.ValuestringNoParameter value
Parameter22.NamestringNoParameter name
Parameter22.ValuestringNoParameter value
Parameter23.NamestringNoParameter name
Parameter23.ValuestringNoParameter value
Parameter24.NamestringNoParameter name
Parameter24.ValuestringNoParameter value
Parameter25.NamestringNoParameter name
Parameter25.ValuestringNoParameter value
Parameter26.NamestringNoParameter name
Parameter26.ValuestringNoParameter value
Parameter27.NamestringNoParameter name
Parameter27.ValuestringNoParameter value
Parameter28.NamestringNoParameter name
Parameter28.ValuestringNoParameter value
Parameter29.NamestringNoParameter name
Parameter29.ValuestringNoParameter value
Parameter3.NamestringNoParameter name
Parameter3.ValuestringNoParameter value
Parameter30.NamestringNoParameter name
Parameter30.ValuestringNoParameter value
Parameter31.NamestringNoParameter name
Parameter31.ValuestringNoParameter value
Parameter32.NamestringNoParameter name
Parameter32.ValuestringNoParameter value
Parameter33.NamestringNoParameter name
Parameter33.ValuestringNoParameter value
Parameter34.NamestringNoParameter name
Parameter34.ValuestringNoParameter value
Parameter35.NamestringNoParameter name
Parameter35.ValuestringNoParameter value
Parameter36.NamestringNoParameter name
Parameter36.ValuestringNoParameter value
Parameter37.NamestringNoParameter name
Parameter37.ValuestringNoParameter value
Parameter38.NamestringNoParameter name
Parameter38.ValuestringNoParameter value
Parameter39.NamestringNoParameter name
Parameter39.ValuestringNoParameter value
Parameter4.NamestringNoParameter name
Parameter4.ValuestringNoParameter value
Parameter40.NamestringNoParameter name
Parameter40.ValuestringNoParameter value
Parameter41.NamestringNoParameter name
Parameter41.ValuestringNoParameter value
Parameter42.NamestringNoParameter name
Parameter42.ValuestringNoParameter value
Parameter43.NamestringNoParameter name
Parameter43.ValuestringNoParameter value
Parameter44.NamestringNoParameter name
Parameter44.ValuestringNoParameter value
Parameter45.NamestringNoParameter name
Parameter45.ValuestringNoParameter value
Parameter46.NamestringNoParameter name
Parameter46.ValuestringNoParameter value
Parameter47.NamestringNoParameter name
Parameter47.ValuestringNoParameter value
Parameter48.NamestringNoParameter name
Parameter48.ValuestringNoParameter value
Parameter49.NamestringNoParameter name
Parameter49.ValuestringNoParameter value
Parameter5.NamestringNoParameter name
Parameter5.ValuestringNoParameter value
Parameter50.NamestringNoParameter name
Parameter50.ValuestringNoParameter value
Parameter51.NamestringNoParameter name
Parameter51.ValuestringNoParameter value
Parameter52.NamestringNoParameter name
Parameter52.ValuestringNoParameter value
Parameter53.NamestringNoParameter name
Parameter53.ValuestringNoParameter value
Parameter54.NamestringNoParameter name
Parameter54.ValuestringNoParameter value
Parameter55.NamestringNoParameter name
Parameter55.ValuestringNoParameter value
Parameter56.NamestringNoParameter name
Parameter56.ValuestringNoParameter value
Parameter57.NamestringNoParameter name
Parameter57.ValuestringNoParameter value
Parameter58.NamestringNoParameter name
Parameter58.ValuestringNoParameter value
Parameter59.NamestringNoParameter name
Parameter59.ValuestringNoParameter value
Parameter6.NamestringNoParameter name
Parameter6.ValuestringNoParameter value
Parameter60.NamestringNoParameter name
Parameter60.ValuestringNoParameter value
Parameter61.NamestringNoParameter name
Parameter61.ValuestringNoParameter value
Parameter62.NamestringNoParameter name
Parameter62.ValuestringNoParameter value
Parameter63.NamestringNoParameter name
Parameter63.ValuestringNoParameter value
Parameter64.NamestringNoParameter name
Parameter64.ValuestringNoParameter value
Parameter65.NamestringNoParameter name
Parameter65.ValuestringNoParameter value
Parameter66.NamestringNoParameter name
Parameter66.ValuestringNoParameter value
Parameter67.NamestringNoParameter name
Parameter67.ValuestringNoParameter value
Parameter68.NamestringNoParameter name
Parameter68.ValuestringNoParameter value
Parameter69.NamestringNoParameter name
Parameter69.ValuestringNoParameter value
Parameter7.NamestringNoParameter name
Parameter7.ValuestringNoParameter value
Parameter70.NamestringNoParameter name
Parameter70.ValuestringNoParameter value
Parameter71.NamestringNoParameter name
Parameter71.ValuestringNoParameter value
Parameter72.NamestringNoParameter name
Parameter72.ValuestringNoParameter value
Parameter73.NamestringNoParameter name
Parameter73.ValuestringNoParameter value
Parameter74.NamestringNoParameter name
Parameter74.ValuestringNoParameter value
Parameter75.NamestringNoParameter name
Parameter75.ValuestringNoParameter value
Parameter76.NamestringNoParameter name
Parameter76.ValuestringNoParameter value
Parameter77.NamestringNoParameter name
Parameter77.ValuestringNoParameter value
Parameter78.NamestringNoParameter name
Parameter78.ValuestringNoParameter value
Parameter79.NamestringNoParameter name
Parameter79.ValuestringNoParameter value
Parameter8.NamestringNoParameter name
Parameter8.ValuestringNoParameter value
Parameter80.NamestringNoParameter name
Parameter80.ValuestringNoParameter value
Parameter81.NamestringNoParameter name
Parameter81.ValuestringNoParameter value
Parameter82.NamestringNoParameter name
Parameter82.ValuestringNoParameter value
Parameter83.NamestringNoParameter name
Parameter83.ValuestringNoParameter value
Parameter84.NamestringNoParameter name
Parameter84.ValuestringNoParameter value
Parameter85.NamestringNoParameter name
Parameter85.ValuestringNoParameter value
Parameter86.NamestringNoParameter name
Parameter86.ValuestringNoParameter value
Parameter87.NamestringNoParameter name
Parameter87.ValuestringNoParameter value
Parameter88.NamestringNoParameter name
Parameter88.ValuestringNoParameter value
Parameter89.NamestringNoParameter name
Parameter89.ValuestringNoParameter value
Parameter9.NamestringNoParameter name
Parameter9.ValuestringNoParameter value
Parameter90.NamestringNoParameter name
Parameter90.ValuestringNoParameter value
Parameter91.NamestringNoParameter name
Parameter91.ValuestringNoParameter value
Parameter92.NamestringNoParameter name
Parameter92.ValuestringNoParameter value
Parameter93.NamestringNoParameter name
Parameter93.ValuestringNoParameter value
Parameter94.NamestringNoParameter name
Parameter94.ValuestringNoParameter value
Parameter95.NamestringNoParameter name
Parameter95.ValuestringNoParameter value
Parameter96.NamestringNoParameter name
Parameter96.ValuestringNoParameter value
Parameter97.NamestringNoParameter name
Parameter97.ValuestringNoParameter value
Parameter98.NamestringNoParameter name
Parameter98.ValuestringNoParameter value
Parameter99.NamestringNoParameter name
Parameter99.ValuestringNoParameter value
StatusCallbackstringNoAbsolute URL of the status callback.
StatusCallbackMethodstringNoThe http method for the status_callback (one of GET, POST).
TrackstringNoOne of inbound_track, outbound_track, both_tracks.

twilio_voice_create_stream

Create a Stream Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the Stream resource is associated with.
NamestringNoThe user-specified name of this Stream, if one was given when the Stream was created. This can be used to stop the Stream.
Parameter1.NamestringNoParameter name
Parameter1.ValuestringNoParameter value
Parameter10.NamestringNoParameter name
Parameter10.ValuestringNoParameter value
Parameter11.NamestringNoParameter name
Parameter11.ValuestringNoParameter value
Parameter12.NamestringNoParameter name
Parameter12.ValuestringNoParameter value
Parameter13.NamestringNoParameter name
Parameter13.ValuestringNoParameter value
Parameter14.NamestringNoParameter name
Parameter14.ValuestringNoParameter value
Parameter15.NamestringNoParameter name
Parameter15.ValuestringNoParameter value
Parameter16.NamestringNoParameter name
Parameter16.ValuestringNoParameter value
Parameter17.NamestringNoParameter name
Parameter17.ValuestringNoParameter value
Parameter18.NamestringNoParameter name
Parameter18.ValuestringNoParameter value
Parameter19.NamestringNoParameter name
Parameter19.ValuestringNoParameter value
Parameter2.NamestringNoParameter name
Parameter2.ValuestringNoParameter value
Parameter20.NamestringNoParameter name
Parameter20.ValuestringNoParameter value
Parameter21.NamestringNoParameter name
Parameter21.ValuestringNoParameter value
Parameter22.NamestringNoParameter name
Parameter22.ValuestringNoParameter value
Parameter23.NamestringNoParameter name
Parameter23.ValuestringNoParameter value
Parameter24.NamestringNoParameter name
Parameter24.ValuestringNoParameter value
Parameter25.NamestringNoParameter name
Parameter25.ValuestringNoParameter value
Parameter26.NamestringNoParameter name
Parameter26.ValuestringNoParameter value
Parameter27.NamestringNoParameter name
Parameter27.ValuestringNoParameter value
Parameter28.NamestringNoParameter name
Parameter28.ValuestringNoParameter value
Parameter29.NamestringNoParameter name
Parameter29.ValuestringNoParameter value
Parameter3.NamestringNoParameter name
Parameter3.ValuestringNoParameter value
Parameter30.NamestringNoParameter name
Parameter30.ValuestringNoParameter value
Parameter31.NamestringNoParameter name
Parameter31.ValuestringNoParameter value
Parameter32.NamestringNoParameter name
Parameter32.ValuestringNoParameter value
Parameter33.NamestringNoParameter name
Parameter33.ValuestringNoParameter value
Parameter34.NamestringNoParameter name
Parameter34.ValuestringNoParameter value
Parameter35.NamestringNoParameter name
Parameter35.ValuestringNoParameter value
Parameter36.NamestringNoParameter name
Parameter36.ValuestringNoParameter value
Parameter37.NamestringNoParameter name
Parameter37.ValuestringNoParameter value
Parameter38.NamestringNoParameter name
Parameter38.ValuestringNoParameter value
Parameter39.NamestringNoParameter name
Parameter39.ValuestringNoParameter value
Parameter4.NamestringNoParameter name
Parameter4.ValuestringNoParameter value
Parameter40.NamestringNoParameter name
Parameter40.ValuestringNoParameter value
Parameter41.NamestringNoParameter name
Parameter41.ValuestringNoParameter value
Parameter42.NamestringNoParameter name
Parameter42.ValuestringNoParameter value
Parameter43.NamestringNoParameter name
Parameter43.ValuestringNoParameter value
Parameter44.NamestringNoParameter name
Parameter44.ValuestringNoParameter value
Parameter45.NamestringNoParameter name
Parameter45.ValuestringNoParameter value
Parameter46.NamestringNoParameter name
Parameter46.ValuestringNoParameter value
Parameter47.NamestringNoParameter name
Parameter47.ValuestringNoParameter value
Parameter48.NamestringNoParameter name
Parameter48.ValuestringNoParameter value
Parameter49.NamestringNoParameter name
Parameter49.ValuestringNoParameter value
Parameter5.NamestringNoParameter name
Parameter5.ValuestringNoParameter value
Parameter50.NamestringNoParameter name
Parameter50.ValuestringNoParameter value
Parameter51.NamestringNoParameter name
Parameter51.ValuestringNoParameter value
Parameter52.NamestringNoParameter name
Parameter52.ValuestringNoParameter value
Parameter53.NamestringNoParameter name
Parameter53.ValuestringNoParameter value
Parameter54.NamestringNoParameter name
Parameter54.ValuestringNoParameter value
Parameter55.NamestringNoParameter name
Parameter55.ValuestringNoParameter value
Parameter56.NamestringNoParameter name
Parameter56.ValuestringNoParameter value
Parameter57.NamestringNoParameter name
Parameter57.ValuestringNoParameter value
Parameter58.NamestringNoParameter name
Parameter58.ValuestringNoParameter value
Parameter59.NamestringNoParameter name
Parameter59.ValuestringNoParameter value
Parameter6.NamestringNoParameter name
Parameter6.ValuestringNoParameter value
Parameter60.NamestringNoParameter name
Parameter60.ValuestringNoParameter value
Parameter61.NamestringNoParameter name
Parameter61.ValuestringNoParameter value
Parameter62.NamestringNoParameter name
Parameter62.ValuestringNoParameter value
Parameter63.NamestringNoParameter name
Parameter63.ValuestringNoParameter value
Parameter64.NamestringNoParameter name
Parameter64.ValuestringNoParameter value
Parameter65.NamestringNoParameter name
Parameter65.ValuestringNoParameter value
Parameter66.NamestringNoParameter name
Parameter66.ValuestringNoParameter value
Parameter67.NamestringNoParameter name
Parameter67.ValuestringNoParameter value
Parameter68.NamestringNoParameter name
Parameter68.ValuestringNoParameter value
Parameter69.NamestringNoParameter name
Parameter69.ValuestringNoParameter value
Parameter7.NamestringNoParameter name
Parameter7.ValuestringNoParameter value
Parameter70.NamestringNoParameter name
Parameter70.ValuestringNoParameter value
Parameter71.NamestringNoParameter name
Parameter71.ValuestringNoParameter value
Parameter72.NamestringNoParameter name
Parameter72.ValuestringNoParameter value
Parameter73.NamestringNoParameter name
Parameter73.ValuestringNoParameter value
Parameter74.NamestringNoParameter name
Parameter74.ValuestringNoParameter value
Parameter75.NamestringNoParameter name
Parameter75.ValuestringNoParameter value
Parameter76.NamestringNoParameter name
Parameter76.ValuestringNoParameter value
Parameter77.NamestringNoParameter name
Parameter77.ValuestringNoParameter value
Parameter78.NamestringNoParameter name
Parameter78.ValuestringNoParameter value
Parameter79.NamestringNoParameter name
Parameter79.ValuestringNoParameter value
Parameter8.NamestringNoParameter name
Parameter8.ValuestringNoParameter value
Parameter80.NamestringNoParameter name
Parameter80.ValuestringNoParameter value
Parameter81.NamestringNoParameter name
Parameter81.ValuestringNoParameter value
Parameter82.NamestringNoParameter name
Parameter82.ValuestringNoParameter value
Parameter83.NamestringNoParameter name
Parameter83.ValuestringNoParameter value
Parameter84.NamestringNoParameter name
Parameter84.ValuestringNoParameter value
Parameter85.NamestringNoParameter name
Parameter85.ValuestringNoParameter value
Parameter86.NamestringNoParameter name
Parameter86.ValuestringNoParameter value
Parameter87.NamestringNoParameter name
Parameter87.ValuestringNoParameter value
Parameter88.NamestringNoParameter name
Parameter88.ValuestringNoParameter value
Parameter89.NamestringNoParameter name
Parameter89.ValuestringNoParameter value
Parameter9.NamestringNoParameter name
Parameter9.ValuestringNoParameter value
Parameter90.NamestringNoParameter name
Parameter90.ValuestringNoParameter value
Parameter91.NamestringNoParameter name
Parameter91.ValuestringNoParameter value
Parameter92.NamestringNoParameter name
Parameter92.ValuestringNoParameter value
Parameter93.NamestringNoParameter name
Parameter93.ValuestringNoParameter value
Parameter94.NamestringNoParameter name
Parameter94.ValuestringNoParameter value
Parameter95.NamestringNoParameter name
Parameter95.ValuestringNoParameter value
Parameter96.NamestringNoParameter name
Parameter96.ValuestringNoParameter value
Parameter97.NamestringNoParameter name
Parameter97.ValuestringNoParameter value
Parameter98.NamestringNoParameter name
Parameter98.ValuestringNoParameter value
Parameter99.NamestringNoParameter name
Parameter99.ValuestringNoParameter value
StatusCallbackstringNoAbsolute URL to which Twilio sends status callback HTTP requests.
StatusCallbackMethodstringNoThe HTTP method Twilio uses when sending status_callback requests. Possible values are GET and POST. Default is POST.
TrackstringNoThe tracks to be included in the Stream. Possible values are inbound_track, outbound_track, both_tracks. Default value is inbound_track.
UrlstringYesRelative or absolute URL where WebSocket connection will be established.

twilio_voice_create_user_defined_message

Create a new User Defined Message for the given Call SID. Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the User Defined Message is associated with.
ContentstringYesThe User Defined Message in the form of URL-encoded JSON string.
IdempotencyKeystringNoA unique string value to identify API call. This should be a unique string value per API call and can be a randomly generated.

twilio_voice_create_user_defined_message_subscription

Subscribe to User Defined Messages for a given Call SID. Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the User Defined Messages subscription is associated with. This refers to the Call SID that is producing the user defined messages.
CallbackstringYesThe URL we should call using the method to send user defined events to your application. URLs must contain a valid hostname (underscores are not permitted).
IdempotencyKeystringNoA unique string value to identify API call. This should be a unique string value per API call and can be a randomly generated.
MethodstringNoThe HTTP method Twilio will use when requesting the above Url. Either GET or POST. Default is POST.

twilio_voice_delete_call

Delete a Call record from your account. Once the record is deleted, it will no longer appear in the API and Account Portal logs. Parameters:
ParameterTypeRequiredDefaultDescription
SidstringYesThe Twilio-provided Call SID that uniquely identifies the Call resource to delete

twilio_voice_delete_call_recording

Delete a recording from your account Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe Call SID of the resources to delete.
SidstringYesThe Twilio-provided string that uniquely identifies the Recording resource to delete.

twilio_voice_delete_conference_recording

Delete a recording from your account Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe Conference SID that identifies the conference associated with the recording to delete.
SidstringYesThe Twilio-provided string that uniquely identifies the Conference Recording resource to delete.

twilio_voice_delete_participant

Kick a participant from a given conference Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe SID of the conference with the participants to delete.
CallSidstringYesThe Call SID or label of the participant to delete. Non URL safe characters in a label must be percent encoded, for example, a space character is represented as %20.

twilio_voice_delete_queue

Remove an empty queue Parameters:
ParameterTypeRequiredDefaultDescription
SidstringYesThe Twilio-provided string that uniquely identifies the Queue resource to delete

twilio_voice_delete_user_defined_message_subscription

Delete a specific User Defined Message Subscription. Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the User Defined Message Subscription is associated with. This refers to the Call SID that is producing the User Defined Messages.
SidstringYesThe SID that uniquely identifies this User Defined Message Subscription.

twilio_voice_fetch_call

Fetch the call specified by the provided Call SID Parameters:
ParameterTypeRequiredDefaultDescription
SidstringYesThe SID of the Call resource to fetch.

twilio_voice_fetch_call_notification

GET /Calls/{CallSid}/Notifications/{Sid}.json Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe Call SID of the Call Notification resource to fetch.
SidstringYesThe Twilio-provided string that uniquely identifies the Call Notification resource to fetch.

twilio_voice_fetch_call_recording

Fetch an instance of a recording for a call Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe Call SID of the resource to fetch.
SidstringYesThe Twilio-provided string that uniquely identifies the Recording resource to fetch.

twilio_voice_fetch_conference

Fetch an instance of a conference Parameters:
ParameterTypeRequiredDefaultDescription
SidstringYesThe Twilio-provided string that uniquely identifies the Conference resource to fetch

twilio_voice_fetch_conference_recording

Fetch an instance of a recording for a call Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe Conference SID that identifies the conference associated with the recording to fetch.
SidstringYesThe Twilio-provided string that uniquely identifies the Conference Recording resource to fetch.

twilio_voice_fetch_member

Fetch a specific member from the queue Parameters:
ParameterTypeRequiredDefaultDescription
QueueSidstringYesThe SID of the Queue in which to find the members to fetch.
CallSidstringYesThe Call SID of the resource(s) to fetch.

twilio_voice_fetch_participant

Fetch an instance of a participant Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe SID of the conference with the participant to fetch.
CallSidstringYesThe Call SID or label of the participant to fetch. Non URL safe characters in a label must be percent encoded, for example, a space character is represented as %20.

twilio_voice_fetch_queue

Fetch an instance of a queue identified by the QueueSid Parameters:
ParameterTypeRequiredDefaultDescription
SidstringYesThe Twilio-provided string that uniquely identifies the Queue resource to fetch

twilio_voice_list_call

Retrieves a collection of calls made to and from your account Parameters:
ParameterTypeRequiredDefaultDescription
TostringNoOnly show calls made to this phone number, SIP address, Client identifier or SIM SID.
FromstringNoOnly include calls from this phone number, SIP address, Client identifier or SIM SID.
ParentCallSidstringNoOnly include calls spawned by calls with this SID.
StatusstringNoThe status of the calls to include. Can be: queued, ringing, in-progress, canceled, completed, failed, busy, or no-answer.
StartTimestringNoOnly include calls that started on this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only calls that started on this date.
StartTime<stringNoOnly include calls that started before this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only calls that started before this date.
StartTime>stringNoOnly include calls that started on or after this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only calls that started on or after this date.
EndTimestringNoOnly include calls that ended on this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only calls that ended on this date.
EndTime<stringNoOnly include calls that ended before this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only calls that ended before this date.
EndTime>stringNoOnly include calls that ended on or after this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only calls that ended on or after this date.
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_list_call_notification

GET /Calls/{CallSid}/Notifications.json Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe Call SID of the Call Notification resources to read.
LogintegerNoOnly read notifications of the specified log level. Can be: 0 to read only ERROR notifications or 1 to read only WARNING notifications. By default, all notifications are read.
MessageDatestringNoOnly show notifications for the specified date, formatted as YYYY-MM-DD. You can also specify an inequality, such as &lt;=YYYY-MM-DD for messages logged at or before midnight on a date, or &gt;=YYYY-MM-DD for messages logged at or after midnight on a date.
MessageDate<stringNoOnly show notifications for the specified date, formatted as YYYY-MM-DD. You can also specify an inequality, such as &lt;=YYYY-MM-DD for messages logged at or before midnight on a date, or &gt;=YYYY-MM-DD for messages logged at or after midnight on a date.
MessageDate>stringNoOnly show notifications for the specified date, formatted as YYYY-MM-DD. You can also specify an inequality, such as &lt;=YYYY-MM-DD for messages logged at or before midnight on a date, or &gt;=YYYY-MM-DD for messages logged at or after midnight on a date.
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_list_call_recording

Retrieve a list of recordings belonging to the call used to make the request Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe Call SID of the resources to read.
DateCreatedstringNoThe date_created value, specified as YYYY-MM-DD, of the resources to read. You can also specify inequality: DateCreated&lt;=YYYY-MM-DD will return recordings generated at or before midnight on a given date, and DateCreated&gt;=YYYY-MM-DD returns recordings generated at or after midnight on a date.
DateCreated<stringNoThe date_created value, specified as YYYY-MM-DD, of the resources to read. You can also specify inequality: DateCreated&lt;=YYYY-MM-DD will return recordings generated at or before midnight on a given date, and DateCreated&gt;=YYYY-MM-DD returns recordings generated at or after midnight on a date.
DateCreated>stringNoThe date_created value, specified as YYYY-MM-DD, of the resources to read. You can also specify inequality: DateCreated&lt;=YYYY-MM-DD will return recordings generated at or before midnight on a given date, and DateCreated&gt;=YYYY-MM-DD returns recordings generated at or after midnight on a date.
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_list_conference

Retrieve a list of conferences belonging to the account used to make the request Parameters:
ParameterTypeRequiredDefaultDescription
DateCreatedstringNoOnly include conferences that were created on this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only conferences that were created on this date. You can also specify an inequality, such as DateCreated&lt;=YYYY-MM-DD, to read conferences that were created on or before midnight of this date, and DateCreated&gt;=YYYY-MM-DD to read conferences that were created on or after midnight of this date.
DateCreated<stringNoOnly include conferences that were created on this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only conferences that were created on this date. You can also specify an inequality, such as DateCreated&lt;=YYYY-MM-DD, to read conferences that were created on or before midnight of this date, and DateCreated&gt;=YYYY-MM-DD to read conferences that were created on or after midnight of this date.
DateCreated>stringNoOnly include conferences that were created on this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only conferences that were created on this date. You can also specify an inequality, such as DateCreated&lt;=YYYY-MM-DD, to read conferences that were created on or before midnight of this date, and DateCreated&gt;=YYYY-MM-DD to read conferences that were created on or after midnight of this date.
DateUpdatedstringNoOnly include conferences that were last updated on this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only conferences that were last updated on this date. You can also specify an inequality, such as DateUpdated&lt;=YYYY-MM-DD, to read conferences that were last updated on or before midnight of this date, and DateUpdated&gt;=YYYY-MM-DD to read conferences that were last updated on or after midnight of this date.
DateUpdated<stringNoOnly include conferences that were last updated on this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only conferences that were last updated on this date. You can also specify an inequality, such as DateUpdated&lt;=YYYY-MM-DD, to read conferences that were last updated on or before midnight of this date, and DateUpdated&gt;=YYYY-MM-DD to read conferences that were last updated on or after midnight of this date.
DateUpdated>stringNoOnly include conferences that were last updated on this date. Specify a date as YYYY-MM-DD in UTC, for example: 2009-07-06, to read only conferences that were last updated on this date. You can also specify an inequality, such as DateUpdated&lt;=YYYY-MM-DD, to read conferences that were last updated on or before midnight of this date, and DateUpdated&gt;=YYYY-MM-DD to read conferences that were last updated on or after midnight of this date.
FriendlyNamestringNoThe string that identifies the Conference resources to read.
StatusstringNoThe status of the resources to read. Can be: init, in-progress, or completed.
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_list_conference_recording

Retrieve a list of recordings belonging to the call used to make the request Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe Conference SID that identifies the conference associated with the recording to read.
DateCreatedstringNoThe date_created value, specified as YYYY-MM-DD, of the resources to read. You can also specify inequality: DateCreated&lt;=YYYY-MM-DD will return recordings generated at or before midnight on a given date, and DateCreated&gt;=YYYY-MM-DD returns recordings generated at or after midnight on a date.
DateCreated<stringNoThe date_created value, specified as YYYY-MM-DD, of the resources to read. You can also specify inequality: DateCreated&lt;=YYYY-MM-DD will return recordings generated at or before midnight on a given date, and DateCreated&gt;=YYYY-MM-DD returns recordings generated at or after midnight on a date.
DateCreated>stringNoThe date_created value, specified as YYYY-MM-DD, of the resources to read. You can also specify inequality: DateCreated&lt;=YYYY-MM-DD will return recordings generated at or before midnight on a given date, and DateCreated&gt;=YYYY-MM-DD returns recordings generated at or after midnight on a date.
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_list_member

Retrieve the members of the queue Parameters:
ParameterTypeRequiredDefaultDescription
QueueSidstringYesThe SID of the Queue in which to find the members
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_list_participant

Retrieve a list of participants belonging to the account used to make the request Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe SID of the conference with the participants to read.
MutedbooleanNoWhether to return only participants that are muted. Can be: true or false.
HoldbooleanNoWhether to return only participants that are on hold. Can be: true or false.
CoachingbooleanNoWhether to return only participants who are coaching another call. Can be: true or false.
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_list_queue

Retrieve a list of queues belonging to the account used to make the request Parameters:
ParameterTypeRequiredDefaultDescription
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_list_usage_record

Retrieve a list of usage-records belonging to the account used to make the request Parameters:
ParameterTypeRequiredDefaultDescription
CategorystringNoThe usage category of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.
StartDatestringNoOnly include usage that has occurred on or after this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: -30days, which will set the start date to be 30 days before the current date.
EndDatestringNoOnly include usage that occurred on or before this date. Specify the date in GMT and format as YYYY-MM-DD. You can also specify offsets from the current date, such as: +30days, which will set the end date to 30 days from the current date.
IncludeSubaccountsbooleanNoWhether to include usage from the master account and all its subaccounts. Can be: true (the default) to include usage from the master account and all subaccounts or false to retrieve usage from only the specified account.
PageSizeintegerNoHow many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerNoThe page index. This value is simply for client state.
PageTokenstringNoThe page token. This is provided by the API.

twilio_voice_update_call

Initiates a call redirect or terminates a call Parameters:
ParameterTypeRequiredDefaultDescription
SidstringYesThe Twilio-provided string that uniquely identifies the Call resource to update
FallbackMethodstringNoThe HTTP method that we should use to request the fallback_url. Can be: GET or POST and the default is POST. If an application_sid parameter is present, this parameter is ignored.
FallbackUrlstringNoThe URL that we call using the fallback_method if an error occurs when requesting or executing the TwiML at url. If an application_sid parameter is present, this parameter is ignored.
MethodstringNoThe HTTP method we should use when calling the url. Can be: GET or POST and the default is POST. If an application_sid parameter is present, this parameter is ignored.
StatusstringNoThe status value
StatusCallbackstringNoThe URL we should call using the status_callback_method to send status information to your application. If no status_callback_event is specified, we will send the completed status. If an application_sid parameter is present, this parameter is ignored. URLs must contain a valid hostname (underscores are not permitted).
StatusCallbackMethodstringNoThe HTTP method we should use when requesting the status_callback URL. Can be: GET or POST and the default is POST. If an application_sid parameter is present, this parameter is ignored.
TimeLimitintegerNoThe maximum duration of the call in seconds. Constraints depend on account and configuration.
TwimlstringNoTwiML instructions for the call Twilio will use without fetching Twiml from url. Twiml and url parameters are mutually exclusive
UrlstringNoThe absolute URL that returns the TwiML instructions for the call. We will call this URL using the method when the call connects. For more information, see the Url Parameter section in Making Calls.

twilio_voice_update_call_recording

Changes the status of the recording to paused, stopped, or in-progress. Note: Pass Twilio.CURRENT instead of recording sid to reference current active recording. Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe Call SID of the resource to update.
SidstringYesThe Twilio-provided string that uniquely identifies the Recording resource to update.
PauseBehaviorstringNoWhether to record during a pause. Can be: skip or silence and the default is silence. skip does not record during the pause period, while silence will replace the actual audio of the call with silence during the pause period. This parameter only applies when setting status is set to paused.
StatusstringYesThe status of the recording. Can be: processing, completed and absent. For more detailed statuses on in-progress recordings, check out how to Update a Recording Resource.

twilio_voice_update_conference

POST /Conferences/{Sid}.json Parameters:
ParameterTypeRequiredDefaultDescription
SidstringYesThe Twilio-provided string that uniquely identifies the Conference resource to update
AnnounceMethodstringNoThe HTTP method used to call announce_url. Can be: GET or POST and the default is POST
AnnounceUrlstringNoThe URL we should call to announce something into the conference. The URL may return an MP3 file, a WAV file, or a TwiML document that contains &lt;Play&gt;, &lt;Say&gt;, &lt;Pause&gt;, or &lt;Redirect&gt; verbs.
StatusstringNoThe status value

twilio_voice_update_conference_recording

Changes the status of the recording to paused, stopped, or in-progress. Note: To use Twilio.CURRENT, pass it as recording sid. Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe Conference SID that identifies the conference associated with the recording to update.
SidstringYesThe Twilio-provided string that uniquely identifies the Conference Recording resource to update. Use Twilio.CURRENT to reference the current active recording.
PauseBehaviorstringNoWhether to record during a pause. Can be: skip or silence and the default is silence. skip does not record during the pause period, while silence will replace the actual audio of the call with silence during the pause period. This parameter only applies when setting status is set to paused.
StatusstringYesThe status of the recording. Can be: processing, completed and absent. For more detailed statuses on in-progress recordings, check out how to Update a Recording Resource.

twilio_voice_update_member

Dequeue a member from a queue and have the member’s call begin executing the TwiML document at that URL Parameters:
ParameterTypeRequiredDefaultDescription
QueueSidstringYesThe SID of the Queue in which to find the members to update.
CallSidstringYesThe Call SID of the resource(s) to update.
MethodstringNoHow to pass the update request data. Can be GET or POST and the default is POST. POST sends the data as encoded form data and GET sends the data as query parameters.
UrlstringYesThe absolute URL of the Queue resource.

twilio_voice_update_participant

Update the properties of the participant Parameters:
ParameterTypeRequiredDefaultDescription
ConferenceSidstringYesThe SID of the conference with the participant to update.
CallSidstringYesThe Call SID or label of the participant to update. Non URL safe characters in a label must be percent encoded, for example, a space character is represented as %20.
AnnounceMethodstringNoThe HTTP method we should use to call announce_url. Can be: GET or POST and defaults to POST.
AnnounceUrlstringNoThe URL we call using the announce_method for an announcement to the participant. The URL may return an MP3 file, a WAV file, or a TwiML document that contains &lt;Play&gt;, &lt;Say&gt;, &lt;Pause&gt;, or &lt;Redirect&gt; verbs.
BeepOnExitbooleanNoWhether to play a notification beep to the conference when the participant exits. Can be: true or false.
CallSidToCoachstringNoThe SID of the participant who is being coached. The participant being coached is the only participant who can hear the participant who is coaching.
CoachingbooleanNoWhether the participant is coaching another call. Can be: true or false. If not present, defaults to false unless call_sid_to_coach is defined. If true, call_sid_to_coach must be defined.
EndConferenceOnExitbooleanNoWhether to end the conference when the participant leaves. Can be: true or false and defaults to false.
HoldbooleanNoWhether the participant should be on hold. Can be: true or false. true puts the participant on hold, and false lets them rejoin the conference.
HoldMethodstringNoThe HTTP method we should use to call hold_url. Can be: GET or POST and the default is GET.
HoldUrlstringNoThe URL we call using the hold_method for music that plays when the participant is on hold. The URL may return an MP3 file, a WAV file, or a TwiML document that contains &lt;Play&gt;, &lt;Say&gt;, &lt;Pause&gt;, or &lt;Redirect&gt; verbs.
MutedbooleanNoWhether the participant should be muted. Can be true or false. true will mute the participant, and false will un-mute them. Anything value other than true or false is interpreted as false.
WaitMethodstringNoThe HTTP method we should use to call wait_url. Can be GET or POST and the default is POST. When using a static audio file, this should be GET so that we can cache the file.
WaitUrlstringNoThe URL that Twilio calls using the wait_method before the conference has started. The URL may return an MP3 file, a WAV file, or a TwiML document. The default value is the URL of our standard hold music. If you do not want anything to play while waiting for the conference to start, specify an empty string by setting wait_url to ''. For more details on the allowable verbs within the waitUrl, see the waitUrl attribute in the <Conference> TwiML instruction.

twilio_voice_update_payments

update an instance of payments with different phases of payment flows. Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the call that will update the resource. This should be the same call sid that was used to create payments resource.
SidstringYesThe SID of Payments session that needs to be updated.
CapturestringNoThe piece of payment information that you wish the caller to enter. Must be one of payment-card-number, expiration-date, security-code, postal-code, bank-routing-number, bank-account-number, or their -matcher variants for input confirmation when RequireMatchingInputs is enabled.
IdempotencyKeystringYesA unique token that will be used to ensure that multiple API calls with the same information do not result in multiple transactions. This should be a unique string value per API call and can be a randomly generated.
StatusstringNoIndicates whether the current payment session should be cancelled or completed. When cancel the payment session is cancelled. When complete, Twilio sends the payment information to the selected Pay Connector for processing.
StatusCallbackstringYesProvide an absolute or relative URL to receive status updates regarding your Pay session. Read more about the Update and Complete/Cancel POST requests.

twilio_voice_update_queue

Update the queue with the new parameters Parameters:
ParameterTypeRequiredDefaultDescription
SidstringYesThe Twilio-provided string that uniquely identifies the Queue resource to update
FriendlyNamestringNoA descriptive string that you created to describe this resource. It can be up to 64 characters long.
MaxSizeintegerNoThe maximum number of calls allowed to be in the queue. The default is 1000. The maximum is 5000.

twilio_voice_update_realtime_transcription

Stop a Transcription using either the SID of the Transcription resource or the name used when creating the resource Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the Transcription resource is associated with.
SidstringYesThe SID of the Transcription resource, or the name used when creating the resource
StatusstringYesThe status value

twilio_voice_update_siprec

Stop a Siprec using either the SID of the Siprec resource or the name used when creating the resource Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the Siprec resource is associated with.
SidstringYesThe SID of the Siprec resource, or the name used when creating the resource
StatusstringYesThe status value

twilio_voice_update_stream

Stop a Stream using either the SID of the Stream resource or the name used when creating the resource Parameters:
ParameterTypeRequiredDefaultDescription
CallSidstringYesThe SID of the Call the Stream resource is associated with.
SidstringYesThe SID or the name of the Stream resource to be stopped
StatusstringYesThe status value